Package tigase.auth

## Class XmppSaslException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.security.sasl.SaslException
        - - tigase.auth.XmppSaslException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `SaslInvalidLoginExcepion`

      public class XmppSaslException
      extends javax.security.sasl.SaslException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `XmppSaslException.SaslError` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmppSaslException​(XmppSaslException.SaslError saslError)` |
    `XmppSaslException​(XmppSaslException.SaslError saslError, java.lang.String detail)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XmppSaslException` | `getExceptionFor​(AuthRepository.AccountStatus status)` |
    `XmppSaslException.SaslError` | `getSaslError()` |
    `java.lang.String` | `getSaslErrorElementName()` |

    - ### Methods inherited from class javax.security.sasl.SaslException

      `getCause, initCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmppSaslException

          public XmppSaslException​(XmppSaslException.SaslError saslError)

    - #### XmppSaslException

          public XmppSaslException​(XmppSaslException.SaslError saslError,
                                   java.lang.String detail)

  - ### Method Detail

    - #### getSaslError

          public XmppSaslException.SaslError getSaslError()

    - #### getSaslErrorElementName

          public java.lang.String getSaslErrorElementName()

    - #### getExceptionFor

          public static XmppSaslException getExceptionFor​(AuthRepository.AccountStatus status)